<!doctype html>
<html lang="en">
  <%- include("../partials/head.ejs")%>
  <body class="body">

    <div class="container-fluid">
      <div class="row" style="margin: 0px 0px; height: 100%;" > 
        <div class="col-2" style="padding-left: 0px;">
          <%- include("../partials/sidebar.ejs")%> 
        </div>
        
        <div class="col-10" >
          <div class="row" style="margin: 0px 0px 20px 0px;">
            <%- include("../partials/navbarhomepage.ejs")%>
          </div>
          <div class="row" style="margin: 0px 0px;">
            <p class="textHasil">Hasil pencarian untuk Kategori Pengembangan Diri</p>
        </div>
        
        <div class="row">
          <% if (goals) {  goals.forEach(element => { %>
          
          <div class="col-3" id="pilihanKategori">
            <div class="boxcolor">
              <a href="/addGoals/<%= element.id %> " type="button">
                <div class="row">
                  <div class="col" id="vektorPilihan">
                    <img
                      src="/assets/img/searchpage/undraw_Mobile_life_re_jtih 2.png"
                      style="padding-left: 10px"
                    />
                  </div>
                </div>
                <div
                  class="row"
                  style="margin-top: 30px; padding: 0px 20px 0px 12px"
                >
                  <h5><%= element.namaGoal %></h5>
                </div>
                <div class="row" style="margin-top: 10px">
                  <div class="col-6" id="durasi">
                    <div class="row">
                      <div class="col-1">
                        <img
                          src="/assets/img/searchpage/clock.png"
                          style="padding-bottom: 1.5px"
                        />
                      </div>
                      <div class="col" style="text-align: right">
                        <p id="textDurasi"><%= element.estimationTime %></p>
                      </div>
                    </div>
                  </div>
                  <div
                    class="col"
                    style="text-align: right; margin-right: 20px"
                  >
                    <button type="button" class="btn">
                      <img
                        src="/assets/img/searchpage/plus.png"
                        height="24"
                      />
                    </button>
                  </div>
                </div>
              </a>
            </div>
          </div>
          <% })  } %>
        </div>     
    

      </div>
    </div>

   <section>
    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>
    -->
   </section>
    
  </body>
</html>